Skip to navigation

Get LabelTemplate by ID

Beta
Get a single LabelTemplate by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

label_template_idstringRequired
ID of the LabelTemplate.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
createdAtstring or nullOptional
DateTime the label template was created
idstringOptional
ID of the label template.
modifiedAtstring or nullOptional
DateTime the label template was last modified
namestringOptional
Name of the label template.
registryobjectOptional
The registry associated with the label template
zplTemplatestringOptional
The ZPL template that will be filled in and sent to a printer.

Errors

400
Label Template Get Request Bad Request Error
403
Label Template Get Request Forbidden Error
404
Label Template Get Request Not Found Error
429
Label Template Get Request Too Many Requests Error
500
Label Template Get Request Internal Server Error